# Logs

Logs list recently run [services](/reference/services.md) and [schedules](/reference/operations/schedules.md). All schedules generate a log when they run. For a service to generate a log, the **Enable Log** checkbox must be selected in the [endpoint properties](/reference/services/service-endpoints.md#general-properties).

Each log entry includes the following information:

* The result (success or failure) and name of the service/schedule.
* How long the service/schedule took to run.
* The environment in which the service/schedule was run.
* The time the service/schedule was run.

The logs refresh each time you access the Logs page. Logs are available for the past week up to a maximum of the last 100 runs.

If you need a detailed log of a running service, see [Devtools for Services](/reference/appfarm-client/developer-tools-for-services.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appfarm.io/reference/operations/logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
